#ifndef __BOOSTER_H__
#define __BOOSTER_H__

#include "Object.h"
#include "EnvironmentObject.h"

namespace TR
{
	class BoosterBody;

	class Booster : public EnvironmentObject
	{
	public:
		Booster(GameEngine* gameEngine);
		~Booster();

		void onCollide(Object* obj);

	private:
		bool mActivated;
		int mSoundChannel;

	};
}

#endif