#ifndef __BOOSTER_BODY_H__
#define __BOOSTER_BODY_H__

#include "ObjectBody.h"
#include "Booster.h"

namespace TR
{
	class BoosterBody : public ObjectBody
	{
	public:
		BoosterBody(Booster* booster);
		~BoosterBody();

		void buildSceneNode(Ogre::SceneManager* sceneMgr);
		void update(double elapsedTime);
		Ogre::AxisAlignedBox getCollisionAABB() const;

	private:
		Booster* mBooster;
		Ogre::AnimationState* mAnimation;
		Ogre::Entity* mCollisionEntity;
	};
}

#endif