#ifndef __BUMPER_H__
#define __BUMPER_H__

#include "Object.h"
#include "EnvironmentObject.h"

namespace TR
{
	class BumperBody;
	
	class Bumper : public EnvironmentObject
	{
	public:
		Bumper(GameEngine* gameEngine);
		~Bumper();

		void onCollide(Object* obj);

	private:
		BumperBody* mBumperBody;
		bool mActivated;
		int mSoundChannel;
	};
}

#endif