#ifndef __KEYBOARD_CONTROLLER_H__
#define __KEYBOARD_CONTROLLER_H__

#include "AbstractController.h"

#define OIS_DYNAMIC_LIB
#include <OIS/OIS.h>

namespace TR
{
	class KeyboardController : public AbstractController
	{
	private:
		OIS::Keyboard* mKeyboard;
		OIS::InputManager* mInputManager;

	public:
		void init(Ogre::RenderWindow* window);
		void release();
		void prepareCapture();
		void captureTranslation();
		void captureRotation();
		void captureActions();
		inline OIS::Keyboard* getKeyboard(){ return mKeyboard; }
	};
}

#endif
