#ifndef __LOG_H__
#define __LOG_H__

#include <fstream>
#include <string>

namespace TR
{
	class Log
	{
	public:
		Log();
		~Log();
		void append(const std::string& s);
		void append(const char* s);
		void append(bool s);
		void append(double s);
		void append(long s);
		inline std::ofstream& getOutput(){ return output; }

	protected:
		std::ofstream output;
	};
}

#endif