#ifndef __MOUSE_CONTROLLER_H__
#define __MOUSE_CONTROLLER_H__

#include "AbstractController.h"

#define OIS_DYNAMIC_LIB
#include <OIS/OIS.h>

namespace TR
{
	class MouseController : public AbstractController
	{
	private:
		OIS::Mouse* mMouse;
		OIS::MouseState mMouseState;
		OIS::InputManager* mInputManager;

	public:
		void init(Ogre::RenderWindow* window);
		void release();
		void prepareCapture();
		void captureTranslation();
		void captureRotation();
		void captureActions();
	};
}

#endif
