#ifndef __OGRE_TEXT_H__
#define __OGRE_TEXT_H__

#include "OgreOverlayElement.h"
#include "OgreTextAreaOverlayElement.h"
#include "OgreStringConverter.h"
#include "OgreOverlayManager.h"
#include "OgreOverlayContainer.h"

namespace TR
{
	class OgreText
	{
	private:
		static int init;
		Ogre::OverlayManager* mOverlayMgr;
		Ogre::OverlayContainer* mPanel ;
		Ogre::Overlay* mOverlay;
		Ogre::TextAreaOverlayElement* mTextArea;
		Ogre::String mElement;
		Ogre::String mFontName;

	public:
		OgreText(const Ogre::String& fontName);
		~OgreText();

		void setText(const char* s);
		void setText(const Ogre::String& s);
		void setPos(int x, int y);
		void setColor(float R, float G, float B, float I);
	};
}

#endif
