#ifndef __RUBY_ENVIRONMENT_H__
#define __RUBY_ENVIRONMENT_H__

#include "Environment.h"
#include "GameRenderer.h"

namespace TR
{
	class RubyEnvironment : public Environment
	{
	public:
		RubyEnvironment(GameRenderer* gr, GameEngine* ge);
		~RubyEnvironment();

	protected:
		void generate(double elapsedTime, Ogre::Vector2 rubySpeed, double rubyAltitude);

		double mElapsedDistance;
	};
}

#endif