#ifndef __SLOWER_BODY_H__
#define __SLOWER_BODY_H__

#include "ObjectBody.h"
#include "Slower.h"

namespace TR
{
	class SlowerBody : public ObjectBody
	{
	public:
		SlowerBody(Slower* slower);
		~SlowerBody();

		void buildSceneNode(Ogre::SceneManager* sceneMgr);
		void update(double elapsedTime);
		Ogre::AxisAlignedBox getCollisionAABB() const;

	private:
		Slower* mSlower;
		Ogre::AnimationState* mAnimation;
		Ogre::Entity* mCollisionEntity;
	};
}

#endif