#ifndef __STOPPER_BODY_H__
#define __STOPPER_BODY_H__

#include "ObjectBody.h"
#include "Stopper.h"

namespace TR
{
	class StopperBody : public ObjectBody
	{
	public:
		StopperBody(Stopper* stopper);
		~StopperBody();

		void buildSceneNode(Ogre::SceneManager* sceneMgr);
		void update(double elapsedTime);
		Ogre::AxisAlignedBox getCollisionAABB() const;

	private:
		Stopper* mStopper;
		Ogre::AnimationState* mAngel1Animation;
		Ogre::AnimationState* mAngel2Animation;
		Ogre::AnimationState* mAngel3Animation;
		Ogre::Entity* mCollisionEntity;

	};
}

#endif