#ifndef __CONTROLLER_CONFIGURATION_H__
#define __CONTROLLER_CONFIGURATION_H__

#include "AbstractController.h"

namespace TR
{
	class ControllerConfiguration
	{
	private:
		AbstractController* mController1;
		AbstractController* mController2;
		AbstractController* mController3;

	public:
		ControllerConfiguration();
		~ControllerConfiguration();
		void prepareCapture();
		void capture();

		inline void setController1(AbstractController* controller){ mController1 = controller; }
		inline void setController2(AbstractController* controller){ mController2 = controller; }
		inline void setController3(AbstractController* controller){ mController3 = controller; }
		inline AbstractController* getController1(){ return mController1; }
		inline AbstractController* getController2(){ return mController2; }
		inline AbstractController* getController3(){ return mController3; }
	};
}

#endif
