#ifndef __MOUSE_3DCONNEXION_CONTROLLER_H__
#define __MOUSE_3DCONNEXION_CONTROLLER_H__

#include "AbstractController.h"
#include "Com3dConnexion.h"

namespace TR
{
	class Mouse3dConnexionController : public AbstractController
	{
	private:
		static const double DEFAULT_3DMOUSE_SENSOR_SENSITIVITY;
		Com3dConnexion mComInterface;

	public:
		void init(Ogre::RenderWindow* window);
		void release();
		void prepareCapture();
		void captureTranslation();
		void captureRotation();
		void captureActions();
	};
}

#endif
