#ifndef __RUBY_SCORE_MANAGER_H__
#define __RUBY_SCORE_MANAGER_H__

#include <Ogre.h>

namespace TR
{
	class RubyScoreManager
	{
	public:
		RubyScoreManager();
		void update(const Ogre::Vector3& rubySpeed, double rubyAltitude, double elapsedTime);
		inline double getMultiplier() const { return mMultiplier; }
		inline double getScore() const { return mTotalScore; }

	private:
		double mTotalScore;
		double mTimer;
		double mDistance;
		double mMultiplier;
	};
}

#endif