#include "Object.h"

namespace TR
{
	Object::Object(GameEngine* gameEngine) : 
		mPosition(Ogre::Vector3::ZERO),
		mOrientation(Ogre::Quaternion::IDENTITY),
		mLinearSpeed(Ogre::Vector3::ZERO),
		mBody(NULL),
		mGameEngine(gameEngine)
	{
		
	}

	Object::~Object(void)
	{
		delete mBody;
	}
	
	void Object::updateState(const Ogre::Vector3& input, double elapsedTime)
	{
	}
	
	bool Object::isInCollision(const Object* obj)
	{
		if(mBody != NULL && obj->mBody != NULL)
		{
			if(mBody->getCollisionAABB().intersects(obj->mBody->getCollisionAABB()))
			{
				return true;
			}
			else
			{
				return false;
			}
		}
		else
		{
			return false;
		}
	}

	void Object::onCollide(Object* obj)
	{

	}
}
