#include "SlowerBody.h"

namespace TR
{
	SlowerBody::SlowerBody(Slower* slower):
		ObjectBody(slower),
		mSlower(slower),
		mAnimation(NULL),
		mCollisionEntity(NULL)
	{
	}

	SlowerBody::~SlowerBody()
	{
	}

	void SlowerBody::buildSceneNode(Ogre::SceneManager* sceneMgr)
	{
		ObjectBody::buildSceneNode(sceneMgr);

		mCollisionEntity = sceneMgr->createEntity(mId, "Slower.mesh");
		//mAnimation = mCollisionEntity->getAnimationState("Wave");
		//mAnimation->setLoop(true);
		//mAnimation->setEnabled(true);

		mSceneNode->attachObject(mCollisionEntity);
	}

	void SlowerBody::update(double elapsedTime)
	{
		ObjectBody::update(elapsedTime);

		//mAnimation->addTime(elapsedTime);
	}

	Ogre::AxisAlignedBox SlowerBody::getCollisionAABB() const
	{ 
		return mCollisionEntity->getWorldBoundingBox();
	}
}